Album: 'Battle! Rival Hugh Remix: Pokémon BW2 -【リミックス】戦闘！ヒュウ【ポケモンBW2】'
Directory: battle-rival-hugh-remix-pokemon-bw2
Date: November 13, 2020
Date Added: July 20, 2025
Artists:
- Pascal van den Bos
Cover Artists:
- クリス
Cover Art File Extension: png
URLs:
- https://potatoboss.bandcamp.com/track/battle-rival-hugh-remix-pok-mon-bw2-bw2
Color: '#aec118'
Groups:
- Pascal van den Bos
- Beyond
Commentary: |-
    <i>Pascal van den Bos:</i> ([Bandcamp about blurb](https://potatoboss.bandcamp.com/track/battle-rival-hugh-remix-pok-mon-bw2-bw2))
    This song has been stuck in my head for weeks now, so here's a cool remix i did of it! Definitely one of my favorite rival battle themes.
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/battle-rival-hugh-remix-pok-mon-bw2-bw2))
    Original by: Go Ichinose 【一之瀬剛】

    Art: dic.pixiv.net/a/%E3%83%92%E3%83%A5%E3%82%A6%28%E3%83%88%E3%83%AC%E3%83%BC%E3%83%8A%E3%83%BC%29
---
Track: 'Battle! Rival Hugh Remix: Pokémon BW2 -【リミックス】戦闘！ヒュウ【ポケモンBW2】'
Duration: 2:15
Referenced Tracks:
- track:battle-rival-b2w2
URLs:
- https://potatoboss.bandcamp.com/track/battle-rival-hugh-remix-pok-mon-bw2-bw2